Bug 1413529 - Golang buildmode PIE [NEEDINFO]
Summary: Golang buildmode PIE
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Čajka
QA Contact:
Simon Clark
URL:
Whiteboard: ChangeAcceptedF26, SelfContainedChange
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-16 09:43 UTC by Jan Kurik
Modified: 2017-07-25 17:04 UTC (History)
3 users (show)

Fixed In Version: go-compilers-1-9.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-25 17:04:46 UTC
Type: ---
simon.richard.clark: needinfo? (jcajka)


Attachments (Terms of Use)

Description Jan Kurik 2017-01-16 09:43:46 UTC
This is a tracking bug for Change: Golang buildmode PIE
For more details, see: https://fedoraproject.org//wiki/Changes/golang-buildmode-pie

Change default build mode of golang in Fedora packaging macros to buildmode=pie, which results in packages using them to produce Position Independent Executables. Another part of the change is to pass the Fedora hardened linker flags to the external linker(regular system linker). In result reducing exploit-ability of binaries.

Comment 1 Mohan Boddu 2017-02-01 14:15:38 UTC
Is it ready for a mass rebuild?

Comment 2 Jakub Čajka 2017-02-01 17:50:28 UTC
Yes, it is ready for mass rebuild.

Comment 3 Fedora End Of Life 2017-02-28 10:59:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 4 Simon Clark 2017-07-04 21:49:40 UTC
I have added release notes text for this change to the draft F26 Release Notes here: https://pagure.io/release-notes/c/94d77e689472481bcd81f62a030129a27a485835?branch=f26

Please would you take a look at the draft and let me know if anything should be added or changed?


Note You need to log in before you can comment on or make changes to this bug.